### Function

# Gimp text_layer_new

#### Declaration [src]

    GimpLayer*
    gimp_text_layer_new (
      GimpImage* image,
      const gchar* text,
      const gchar* fontname,
      gdouble size,
      GimpUnit unit
    )

#### Description [src]

Creates a new text layer.

This procedure creates a new text layer. The arguments are kept as simple as necessary for the normal case. All text attributes, however, can be modified with the appropriate gimp_text_layer_set_*() procedures. The new layer still needs to be added to the image, as this is not automatic. Add the new layer using gimp_image_insert_layer().

Available since: | 2.6

#### Parameters

`image` | `GimpImage`
| The image.
| The data is owned by the caller of the function.
`text` | `const gchar*`
| The text to generate (in UTF-8 encoding).
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`fontname` | `const gchar*`
| The name of the font.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`size` | `gdouble`
| The size of text in either pixels or points.
`unit` | `GimpUnit`
| The units of specified size.

#### Return value

Returns: | `GimpLayer`
| The new text layer.
| The data is owned by the called function.